Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.dnd
Class DragSourceDropEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.dnd.DragSourceEvent
                  |
                  +--java.awt.dnd.DragSourceDropEvent

All Implemented Interfaces:
  Serializable

public class DragSourceDropEvent
extends DragSourceEvent

The `DragSourceDropEvent` is delivered from the `DragSourceContextPeer`, via the `DragSourceContext`, to its currently registered `DragSourceListener`'s dragDropEnd() method. It contains sufficient information for the originator of the operation to provide appropriate feedback to the end user when the operation completes.

Since:
  1.2
See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DragSourceDropEvent(DragSourceContext dsc)` Construct a `DragSourceDropEvent` for a drag that does not result in a drop.
`DragSourceDropEvent(DragSourceContext dsc, int action, boolean success)` Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, and a `boolean` indicating if the drop was successful.

Method Summary
`int` | `getDropAction()` This method returns an `int` representing the action performed by the target on the subject of the drop.
`boolean` | `getDropSuccess()` This method returns a `boolean` indicating if the drop was a success.

Methods inherited from class java.awt.dnd.DragSourceEvent
`getDragSourceContext`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragSourceDropEvent

    public DragSourceDropEvent(DragSourceContext dsc,
                               int action,
                               boolean success)

  Construct a `DragSourceDropEvent` for a drop, given the `DragSourceContext`, the drop action, and a `boolean` indicating if the drop was successful.

  Parameters:
    `dsc` - the `DragSourceContext` associated with this `DragSourceDropEvent`
    `action` - the drop action
    `success` - a boolean indicating if the drop was successful

### DragSourceDropEvent

    public DragSourceDropEvent(DragSourceContext dsc)

  Construct a `DragSourceDropEvent` for a drag that does not result in a drop.

  Parameters:
    `dsc` - the `DragSourceContext`

Method Detail

### getDropSuccess

    public boolean getDropSuccess()

  This method returns a `boolean` indicating if the drop was a success.

  Returns:
    if the drop was successful

### getDropAction

    public int getDropAction()

  This method returns an `int` representing the action performed by the target on the subject of the drop.

  Returns:
    the action performed by the target on the subject of the drop

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.